using System;
using System.Drawing;
using Microsoft.DirectX;
using Microsoft.DirectX.Direct3D;

namespace Sample {
	public class TextureImageSprite {
		Device device;
		private Texture texture;
		private Sprite sprite;
		private Point center = new Point(0, 0);
		
		public TextureImageSprite(Device device, Sprite sprite, string bitmapfilename)
			: this(device, sprite, new Bitmap(bitmapfilename))
		{
		}
		public TextureImageSprite(Device device, Sprite sprite, Bitmap bitmap) {
			this.device = device;
			this.sprite = sprite;
			texture = Texture.FromBitmap(device, bitmap, Usage.None, Pool.Managed);
		}
		
		public void Draw2D(int x, int y) {
			sprite.Draw2D(texture, center, 0, new Point(x, y), Color.FromArgb(0xFF, 0xFF, 0xFF, 0xFF));
		}
		public void Draw2D(int x, int y, int alpha) {
			sprite.Draw2D(texture, center, 0, new Point(x, y), Color.FromArgb(alpha, 0xFF, 0xFF, 0xFF));
		}
	}
}
